hbase-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Hanish Bansal <hanish.bansal.agar...@gmail.com>
Subject Re: HBase Upgrade
Date Fri, 05 Jul 2013 19:40:06 GMT
I am using 0.94.6.1 so i will be able to rolling upgrade to 0.94.8.

As you said that clients and servers calls between HBase minor releases are
supposed to be compatible. So there should not be any issue for rolling
upgrades between HBase minor releases.

Will  it be possible to rolling upgrade from 0.94.* to 0.95.* (After
release of 0.95 version) ?


On Fri, Jul 5, 2013 at 6:04 AM, Ted Yu <yuzhihong@gmail.com> wrote:

> Here is the JIRA that led to the release of 0.94.6.1:
>
> https://issues.apache.org/jira/browse/HBASE-8259
>
> Cheers
>
> On Thu, Jul 4, 2013 at 10:10 AM, Jean-Marc Spaggiari <
> jean-marc@spaggiari.org> wrote:
>
> > Hi Hanish,
> >
> > Are you using 0.94.6? Or 0.94.6.1?
> >
> > There was some issues on 0.94.6 with the rolling restart I think.
> >
> > If you are using 0.94.6.1 there should not be any issue.
> >
> > And you are right, there is no API changes. It's compatible.
> >
> > JM
> >
> > 2013/7/4 Hanish Bansal <hanish.bansal.agarwal@gmail.com>:
> > > Hi Jean-Marc,
> > >
> > > So I can assume that
> > > Rolling upgrade of all nodes from 0.94.6 to 0.94.8 will not cause any
> > data
> > > inconsistency.
> > > Also there will no java api changes between HBase minor releases
> > >
> > > Am i right?
> > >
> > >
> > > On Thu, Jul 4, 2013 at 8:09 PM, Jean-Marc Spaggiari <
> > jean-marc@spaggiari.org
> > >> wrote:
> > >
> > >> Hi Hanish,
> > >>
> > >> Clients and servers calls between HBase minor releases are supposed to
> > >> be compatible.
> > >>
> > >> If you want to upgrade all your nodes from 0.94.6 to 0.94.8 (or 0.94.9
> > >> if you wait few days) simply deploy the new jars and do a
> > >> rolling-restart
> > >>
> > >> JM
> > >>
> > >> 2013/7/4 Hanish Bansal <hanish.bansal.agarwal@gmail.com>:
> > >> > Hi
> > >> >
> > >> > I am using HBase-*0.94.6*.
> > >> >
> > >> > I am targeting recent stable release *0.94.7 or 0.94.8*.
> > >> >
> > >> >
> > >> > On Thu, Jul 4, 2013 at 2:13 PM, Jean-Marc Spaggiari <
> > >> jean-marc@spaggiari.org
> > >> >> wrote:
> > >> >
> > >> >> Hi Hanish,
> > >> >>
> > >> >> Which version are you using, and which version are you targeting?
> > >> >>
> > >> >> That will change the responses we will provide you...
> > >> >>
> > >> >> JM
> > >> >>
> > >> >> 2013/7/4 Hanish Bansal <hanish.bansal.agarwal@gmail.com>:
> > >> >> > Hi All,
> > >> >> >
> > >> >> > I am using HBase in distributed mode. A number of master
and
> > >> regionserver
> > >> >> > nodes are running on different machines.
> > >> >> >
> > >> >> > Now i want to upgrade HBase version to recent stable release.
> > >> >> >
> > >> >> > My main purpose is to upgrade HBase without shutting down
whole
> > >> cluster.
> > >> >> >
> > >> >> > I want to know if on one machine i upgrade HBase and on another
> > >> machines
> > >> >> > old HBase version are running. Will it create any problem?
> > >> >> >
> > >> >> > If i upgrade whole cluster to new HBase version then will
it be
> > >> >> consistent
> > >> >> > with previous data?
> > >> >> >
> > >> >> > --
> > >> >> > *Thanks & Regards*
> > >> >> > *Hanish Bansal*
> > >> >>
> > >> >
> > >> >
> > >> >
> > >> > --
> > >> > *Thanks & Regards*
> > >> > *Hanish Bansal*
> > >>
> > >
> > >
> > >
> > > --
> > > *Thanks & Regards*
> > > *Hanish Bansal*
> >
>



-- 
*Thanks & Regards*
*Hanish Bansal*

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message